%global debug_package %{nil}

%global featurever 21
%global interimver 0
%global updatever 4
%global patchver 0
%global buildver 7
%global newjavaver %{featurever}.%{interimver}.%{updatever}.%{patchver}
%global vcstag jdk-%{featurever}.%{interimver}.%{updatever}+%{buildver}

%global binutilsver 2.37

Name:		java-%{featurever}-openjdk-hsdis
Version:	%{newjavaver}.%{buildver}
Release:	%autorelease
Summary:	HotSpot plugin for disassembling dynamically generated code
License:	UPL-1.0
Url:		https://github.com/openjdk/jdk/tree/master/src/utils/hsdis

Source0:        https://openjdk-sources.osci.io/openjdk%{featurever}/openjdk-%{featurever}.%{interimver}.%{updatever}-ga.tar.xz
Source1:        https://ftp.gnu.org/gnu/binutils/binutils-%{binutilsver}.tar.xz

BuildRequires:	gcc-c++
BuildRequires:  make
BuildRequires:  autoconf
BuildRequires:  texinfo
BuildRequires:  alsa-lib-devel
BuildRequires:  fontconfig-devel
BuildRequires:  java-%{featurever}-openjdk-devel
BuildRequires:  javapackages-filesystem

%description
HotSpot plugin for disassembling dynamically generated code

%prep
%autosetup -p1 -n %{vcstag}
tar xf %{SOURCE1}

%build
bash configure --with-hsdis=binutils --with-binutils-src=./binutils-%{binutilsver}
make build-hsdis

%install
mkdir -p %{buildroot}%{_libdir}/jvm/java-%{featurever}-openjdk/lib
install -D -m755 \
        build/linux-%{_arch}-server-release/support/hsdis/hsdis-%{_arch}.so \
        %{buildroot}%{_jvmdir}/java-%{featurever}-openjdk/lib/hsdis-%{_arch}.so

%files
%doc README.md
%{_jvmdir}/java-%{featurever}-openjdk/lib/hsdis-%{_arch}.so

%changelog
%autochangelog
